Wonder
post/svc/payment/api/v1/openapi/orders/check

Get an order

Query the status of the order, if you dont receive a webhook for a long time, then you can use the query API to query the status of the order. This API supports querying using either order number/reference_number or transaction uuid. For some scenarios, it may not be possible to obtain order information in a timely manner, but transaction uuids can be obtained.

Query parameters

with_payment_link
boolean

If you need create wonder payment link

Example: true

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

object

Order information

number
string

Wonder side unique id

reference_number
string

Your side unique id

object

Transaction information

uuidrequired
string

Transaction uuid

Responses

coderequired
number

Response code

required
object

Response data

required
object
payment_link
string

Payment link URL of the order

messagerequired
string

Response message